Bug 966202 - --retain-old-count can not be unset
--retain-old-count can not be unset
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
Master
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jay Dobies
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 14:53 EDT by Preethi Thomas
Modified: 2013-09-10 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2013-05-22 14:53:05 EDT
Description of problem:

2.2 option on  --retain-old-count doesnt have a way to unset it. 

In 2.1 this option worked together with --remove-old option

  --remove-old       - if "true", removes old packages from the repo; defaults
                       to false
  --retain-old-count - count indicating how many old rpm versions to retain;
                       defaults to 0; this count only takes effect when
                       remove-old option is set to true.



Version-Release number of selected component (if applicable):

[root@qeblade3 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.11.alpha.fc18.noarch
[root@qeblade3 ~]# 

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jay Dobies 2013-05-23 11:03:56 EDT
There were quite a few options that likely were broken as well. Anything that's parsed into an int or boolean likely had issues being unset.
Comment 2 Jeff Ortel 2013-06-04 11:54:47 EDT
build: 2.2.0-0.1.beta
Comment 3 Preethi Thomas 2013-06-05 14:35:01 EDT
[root@hp-dl360g6-01 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.1.beta.fc18.noarch
[root@hp-dl360g6-01 ~]# 

[root@hp-dl360g6-01 ~]# pulp-admin rpm repo update --repo-id rhel6-2 --retain-old-count 3
Repository [rhel6-2] successfully updated

[root@hp-dl360g6-01 ~]# 



Id:                  rhel6-2
Display Name:        rhel6-2
Description:         None
Content Unit Counts: 
  Rpm: 7281
Notes:               
Importers:           
  Config:           
    Feed:             https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.2
                      /x86_64/os/
    Retain Old Count: 3
         Version: 3 (0x2)tificate:
             91:8a:cf:ca:85:00:00:00
                      Signature Algorithm: sha1WithRSAEncryption
                      Issuer: C=US, ST=North Carolina, L=Raleigh, O=Red Hat,
                      Inc., OU=Red Hat Network, CN=Entitlement Master
         Validity     CA/emailAddress=ca-support@redhat.com
             Not      Not Before: Mar 18 11:24:54 2010 GMT
         Subject: C=US,fter : Mar 13 11:24:54 2030 GMT
                      ST=North Carolina, O=Red Hat, Inc., OU=Red Hat Network,
                      CN=Red Hat Entitlement Operations
                      Authority/emailAddress=ca-support@redhat.com
             Public Keyubject Public Key Info:
             RSA Public Key:thm: rsaEncryption
                 Modulus (4096 bit):
                      00:bb:26:8a:88:43:9c:db:c8:a4:13:19:54:94:79:
                    
    SSL Client Key:   -----BEGIN RSA PRIVATE KEY-----
                   
                      -----END RSA PRIVATE KEY----- 
  Id:               yum_importer
  Importer Type Id: yum_importer
  Last Sync:        2013-06-05T12:18:40-04:00
  Repo Id:          rhel6-2
  Scheduled Syncs:  
Distributors:        
  Auto Publish:        True
  Config:              
    Http:         False
    Https:        True
    Relative URL: rhel6-2
  Distributor Type Id: yum_distributor
  Id:                  yum_distributor
  Last Publish:        None
  Repo Id:             rhel6-2
  Scheduled Publishes: 
  Auto Publish:        False
  Config:              
    Http:  False
    Https: True
  Distributor Type Id: export_distributor
  Id:                  export_distributor
  Last Publish:        None
  Repo Id:             rhel6-2
  Scheduled Publishes: 


[root@hp-dl360g6-01 ~]# 
[root@hp-dl360g6-01 ~]# pulp-admin rpm repo update --repo-id rhel6-2 --retain-old-count 0
Repository [rhel6-2] successfully updated

[root@hp-dl360g6-01 ~]# 



Id:                  rhel6-2
Display Name:        rhel6-2
Description:         None
Content Unit Counts: 
  Rpm: 7281
Notes:               
Importers:           
  Config:           
    Feed:             https://cdn.redhat.com/content/dist/rhel/rhui/server/6/6.2
                      /x86_64/os/
    Retain Old Count: 0
Comment 4 Preethi Thomas 2013-09-10 11:43:29 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.